
(defun als-other-file (&optional server)
  (interactive)
  (eglot-execute-command (or server (eglot--current-server-or-lose))
                         "als-other-file"
                         (vector (eglot--TextDocumentIdentifier))))

(defun test-call-later (server)
  (run-with-idle-timer 2 nil 'als-other-file server))

(add-hook 'eglot-connect-hook 'test-call-later)

(unless (functionp 'ada-mode)
  (define-derived-mode ada-mode prog-mode "Ada")
  (add-to-list 'auto-mode-alist '("\\.ads\\'" . ada-mode))
  (add-to-list 'auto-mode-alist '("\\.adb\\'" . ada-mode)))

(add-hook 'ada-mode-hook 'eglot-ensure)

(find-file "main.ads")

;; Force processing the post-command-hook, otherwise eglot-ensure does
;; nothing.
(push 'left unread-command-events)

